Package com.io7m.jcamera

# Interface JCameraSphericalLinearIntegratorType

All Superinterfaces:
  `JCameraIntegratorType`

All Known Subinterfaces:
  `JCameraSphericalIntegratorType`

All Known Implementing Classes:
  `JCameraSphericalLinearIntegrator`, `JCameraSphericalLinearIntegratorZoomScaled`

public interface JCameraSphericalLinearIntegratorType extends JCameraIntegratorType
The type of integrators that integrate linear movement for `JCameraSphericalType` cameras.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JCameraSphericalReadableType`
  `integratorGetCamera()`
  `JCameraSphericalInputType`
  `integratorGetInput()`
  `void`
  `integratorLinearTargetSetAcceleration(double a)`
  Set the linear acceleration (of the camera target) to `a`.
  `void`
  `integratorLinearTargetSetDrag(double f)`
  Set the linear drag factor (of the camera target) to `f`.
  `void`
  `integratorLinearTargetSetMaximumSpeed(double s)`
  Set the maximum linear movement speed (of the camera target) to `s`.
  `void`
  `integratorLinearZoomSetAcceleration(double a)`
  Set the linear acceleration (of the camera zoom) to `a`.
  `void`
  `integratorLinearZoomSetDrag(double f)`
  Set the linear drag factor (of the camera zoom) to `f`.
  `void`
  `integratorLinearZoomSetMaximumSpeed(double s)`
  Set the maximum linear movement speed (of the camera zoom) to `s`.

  ### Methods inherited from interface com.io7m.jcamera.JCameraIntegratorType

  `integrate`

- ## Method Details

  - ### integratorGetCamera

    JCameraSphericalReadableType integratorGetCamera()
    Returns:
      The camera that will be affected by the integrator

  - ### integratorGetInput

    JCameraSphericalInputType integratorGetInput()
    Returns:
      The input used to drive the integrator.

  - ### integratorLinearTargetSetAcceleration

    void integratorLinearTargetSetAcceleration(double a)
    Set the linear acceleration (of the camera target) to `a`.
    Parameters:
      `a` - The linear acceleration.

  - ### integratorLinearTargetSetDrag

    void integratorLinearTargetSetDrag(double f)
    Set the linear drag factor (of the camera target) to `f`.
    Parameters:
      `f` - The linear drag factor.

  - ### integratorLinearTargetSetMaximumSpeed

    void integratorLinearTargetSetMaximumSpeed(double s)
    Set the maximum linear movement speed (of the camera target) to `s`.
    Parameters:
      `s` - The maximum linear speed.

  - ### integratorLinearZoomSetAcceleration

    void integratorLinearZoomSetAcceleration(double a)
    Set the linear acceleration (of the camera zoom) to `a`.
    Parameters:
      `a` - The linear acceleration.

  - ### integratorLinearZoomSetDrag

    void integratorLinearZoomSetDrag(double f)
    Set the linear drag factor (of the camera zoom) to `f`.
    Parameters:
      `f` - The linear drag factor.

  - ### integratorLinearZoomSetMaximumSpeed

    void integratorLinearZoomSetMaximumSpeed(double s)
    Set the maximum linear movement speed (of the camera zoom) to `s`.
    Parameters:
      `s` - The maximum linear speed.